# kiezelpay-core

Pebble library to sell your pebble watchfaces and watchapps with KiezelPay.

## How to use

This package does __NOT__ work stand-alone. 

To use this package, go to [kiezelpay.com](https://kiezelpay.com), sign up and follow the documentation.

## Change Log
All notable changes to kiezelpay-core will be documented here.

### [2.2.0] - 2016-11-12
#### Changed
- During the purchase process, the library will now try to use a websocket connection to the KiezelPay server instead of polling every few seconds to get the new status. In case anything goes wrong with the websocket connection, it will fall back to its old polling behaviour. Websockets give a better user experience (no delay in purchase status updates) and lower the load on the KiezelPay server.

### [2.1.2] - 2016-10-18
#### Added
- Support for Emery platform.

### [2.1.1] - 2016-10-15
#### Added
- Periodic fallback rechecks in javascript.

### [2.1.0] - 2016-10-15
#### Added
- Added new "low-memory" mode that uses even less memory (but has some some drawbacks as explained above the setting in the kiezelpay.c file).

#### Changed
- Improved overall memory usage.

### [2.0.13] - 2016-09-29
#### Fixed
- Correctly call ```kiezelpay_messaging_deinit()``` from ```kiezelpay_deinit()``` so all memory held by kiezelpay-core is released on exit.

### [2.0.12] - 2016-09-14
#### Fixed
- No more alternating "No BT"/"No Internet" errors with vibrations in case of BT problems.

### [2.0.11] - 2016-09-08
#### Fixed
- Watch now displays the new purchase code as soon as the old one is expired.

### [2.0.10] - 2016-08-30
#### Fixed
- Fix timer errors that show up in the logs during the purchase process.

### [2.0.9] - 2016-08-30
#### Added
- Support for Diorite platform.

### [2.0.8] - 2016-07-31
#### Change
- Redefine LOG macro to allow overriding this macro from outside the KiezelPay package.

### [2.0.7] - 2016-07-30
#### Fixed
- Fix possible crash when "internet connection error" is shown during the purchase process.

### [2.0.6] - 2016-07-22
#### Fixed
- Fixed issue that broke KiezelPay as soon as the package was included in multiple files in your app.

### [2.0.5] - 2016-07-18
#### Added
- Added functionality to define how the "back" button is handled in watch apps during the purchase process.

### [2.0.0] - 2016-06-30
#### Changed
- Kiezelpay library is now a pebble package - many thanks to Grégoire Sage for his help.